### Function

# Cogl FeatureCallback

#### Declaration

    void
    (* CoglFeatureCallback) (
      CoglFeatureID feature,
      void* user_data
    )

#### Description [src]

A callback used with `cogl_foreach_feature()` for enumerating all context level features supported by Cogl.

#### Parameters

`feature`

  Type: `CoglFeatureID`

  A single feature currently supported by Cogl.

`user_data`

  Type: `void*`

  A private pointer passed to cogl_foreach_feature().

  The argument can be `NULL`.
  The data is owned by the caller of the function.